Bug 1470381 - Puppet uses RC4 ciphers
Puppet uses RC4 ciphers
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure (Show other bugs)
6.2.11
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 17:08 EDT by Ryan Kimbrell
Modified: 2018-01-30 09:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Kimbrell 2017-07-12 17:08:55 EDT
Description of problem:Per Nessus scan, The puppet server on 5671/TCP supports weak RC4 ciphers.

TLSv1
RC4-SHA Kx=RSA Au=RSA Enc=RC4(128) Mac=SHA1
RC4-MD5 Kx=RSA Au=RSA Enc=RC4(128) Mac=MD5


We need a way to specify allowed SSL/TLS protocols and ciphers for puppet. Similar to RH BZ# 1305782 https://bugzilla.redhat.com/show_bug.cgi?id=1305782

Version-Release number of selected component (if applicable):
Satellite 6.2.10, Puppet 3.8.6-2.el7sat

How reproducible:
Always

Steps to Reproduce:
1. Execute `nmap --script +ssl-enum-ciphers -p 5671 <SATELLITE_FQDN>`

Actual results:
Nmap scan report for <snip> (<snip>)
Host is up (0.00027s latency).
PORT     STATE SERVICE
5671/tcp open  unknown
| ssl-enum-ciphers:
|   TLSv1.2:
|     ciphers:
|       TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA - strong
|       TLS_DHE_RSA_WITH_AES_128_CBC_SHA - strong
|       TLS_DHE_RSA_WITH_AES_128_CBC_SHA256 - strong
|       TLS_DHE_RSA_WITH_AES_128_GCM_SHA256 - strong
|       TLS_DHE_RSA_WITH_AES_256_CBC_SHA - strong
|       TLS_DHE_RSA_WITH_AES_256_CBC_SHA256 - strong
|       TLS_DHE_RSA_WITH_AES_256_GCM_SHA384 - strong
|       TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA - strong
|       TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 - strong
|       TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA - strong
|       TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 - strong
|       TLS_RSA_WITH_3DES_EDE_CBC_SHA - strong
|       TLS_RSA_WITH_AES_128_CBC_SHA - strong
|       TLS_RSA_WITH_AES_128_CBC_SHA256 - strong
|       TLS_RSA_WITH_AES_128_GCM_SHA256 - strong
|       TLS_RSA_WITH_AES_256_CBC_SHA - strong
|       TLS_RSA_WITH_AES_256_CBC_SHA256 - strong
|       TLS_RSA_WITH_AES_256_GCM_SHA384 - strong
|       TLS_RSA_WITH_RC4_128_MD5 - strong
|       TLS_RSA_WITH_RC4_128_SHA - strong
|     compressors:
|       NULL
|_  least strength: strong

Nmap done: 1 IP address (1 host up) scanned in 0.12 seconds


Expected results:
Be able to configure ciphers/ssl/tls protocol for puppet server on Satellite. Specifically disable RC4 and CBC. Alternatively, use Apache to proxy connections to puppet server and restrict puppet server to localhost.

Additional info:
Comment 2 Ryan Kimbrell 2017-08-17 15:10:31 EDT
Updated to reflect issue still exists in Satellite 6.2.11.
Comment 3 NIST 184 Admin 2017-08-25 11:56:12 EDT
This is known issue with qpidd.

https://issues.apache.org/jira/browse/QPID-6490

Note You need to log in before you can comment on or make changes to this bug.